﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media.Imaging;
using System.IO;

namespace GNG1103_Launcher
{
    /// <summary>
    /// converts a full path to a specific type; drive or file
    /// </summary>
    [ValueConversion(typeof(Directory.Data.DirectoryItemType), typeof(BitmapImage))]
    public class HeaderToImageConverter : IValueConverter
    {

        public static HeaderToImageConverter Instance = new HeaderToImageConverter();
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
          
          

            //BY default we assume its a file
            var image = "Images/File.png";

            //If the name is blank we assume its a drive
            switch ((Directory.Data.DirectoryItemType)value)
            {
                case Directory.Data.DirectoryItemType.Drive:
                    image = "Images/Drive.png";
                    break;
                case Directory.Data.DirectoryItemType.Folder:
                    image = "Images/Folder.png";
                    break;
                case Directory.Data.DirectoryItemType.Video:
                    image = "Images/Videos.png";
                    break;
                case Directory.Data.DirectoryItemType.Caption:
                    image = "Images/Caption.png";
                    break;
                case Directory.Data.DirectoryItemType.Check:
                    image = "Images/check_BLACK.png";
                    break;
                case Directory.Data.DirectoryItemType.Uncheck:
                    image = "Images/crossBLACK.png";
                    break;
            }
           
               

            return new BitmapImage(new Uri($"pack://application:,,,/{image}"));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
