﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace GNG1103_Launcher
{
    /// <summary>
    /// Interaction logic for Settings.xaml
    /// </summary>
    public partial class Settings : Window
    {
        public string dirDirectory { get; set; } = (string)Application.Current.Properties["ProjectDirectory"] + "\\Directories.txt";
        public Settings()
        {
            InitializeComponent();
            read();
        }
        public void write(string write)
        {
            
        }
        public void read()
        {
            bool main = false;
            bool build = false;
            bool vid = false;

            vidDirCombo.Items.Clear();
            var lines = File.ReadAllLines(dirDirectory);
            foreach(var line in lines)
            {
                if (line.Split('|')[0] == "mainDir")
                {
                    mainDirText.Text = line.Split('|')[1];
                    main = true;
                }
                if (line.Split('|')[0].Contains("viDir") == true)
                {
                    vidDirCombo.Items.Add(line.Split('|')[1]);
                    vid = true;
                }
                if (line.Split('|')[0] == "buildDir")
                {
                    buildDirText.Text = line.Split('|')[1];
                    build = true;
                }
            }
                vidDirCombo.SelectedIndex = 0;
            if (main == false)
            { File.AppendAllText(dirDirectory, "mainDir|" + Environment.NewLine); read(); }
            if (build == false)
            { File.AppendAllText(dirDirectory, "buildDir|" + Environment.NewLine); read(); }
        }

        public void resetDirs()
        {
            var mainPage = Application.Current.Windows.OfType<MainWindow>().FirstOrDefault();
            mainPage.initDirs();
        }

        private void changeMain_Click(object sender, RoutedEventArgs e)
        {
            SelectDir selectDirPage = new SelectDir();
            selectDirPage.whichDir = "mainDir";
            selectDirPage.Show();
        }
        private void AddVid_Click(object sender, RoutedEventArgs e)
        {
            SelectDir selectDirPage = new SelectDir();
            selectDirPage.whichDir = "viDir";
            selectDirPage.Show();
        }
        private void ModVid_Click(object sender, RoutedEventArgs e)
        {
            var lines = File.ReadAllLines(dirDirectory);
            File.Delete(dirDirectory);
            foreach(var line in lines)
            {
                if (!line.Contains(vidDirCombo.SelectedItem.ToString()))
                    File.WriteAllText(dirDirectory, line + Environment.NewLine);
            }
            vidDirCombo.SelectedIndex = -1;
            read();
            resetDirs();
            read();
            vidDirCombo.SelectedIndex = 0;
        }
        private void changeBuild_Click(object sender, RoutedEventArgs e)
        {
            SelectDir selectDirPage = new SelectDir();
            selectDirPage.whichDir = "buildDir";
            selectDirPage.Show();
        }
    }
}
